* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: #f4f4f4;
}

/* NAVBAR */

.navbar {
    width: 100%;
    background: #111827;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 18px 50px;
    position: sticky;
    top: 0;
    z-index: 1000;
    margin: 0;
    border-radius: 0;
}

/* LEFT SIDE */

.left-nav {
    display: flex;
    align-items: center;
    gap: 50px;
}

/* LOGO + TITLE */

.logo {
    display: flex;
    align-items: center;
    gap: 12px;
}

    .logo img {
        width: 45px;
        height: 45px;
        object-fit: cover;
    }

    .logo h2 {
        color: #38bdf8;
        font-size: 28px;
        margin: 0;
    }

/* NAV LINKS */

.nav-links,
.auth-links {
    display: flex;
    align-items: center;
    gap: 35px;
}

    /* ALL LINKS */

    .nav-links a,
    .auth-links a {
        color: white;
        text-decoration: none;
        font-size: 17px;
        transition: 0.3s;
    }

        .nav-links a:hover,
        .auth-links a:hover {
            color: #38bdf8;
        }
/* HERO SECTION */

.hero-section {
    height: 100vh;
    background-image: url('/images/bus.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: relative;
}

    /* DARK OVERLAY */

    .hero-section::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.5);
    }

/* HERO CONTENT */

.hero-content {
    position: relative;
    z-index: 2;
}

    .hero-content h1 {
        font-size: 55px;
        margin-bottom: 20px;
        color: white;
    }

    .hero-content p {
        font-size: 20px;
        color: white;
        margin-bottom: 25px;
    }

        .hero-content button:hover {
            background-color: #0ea5e9;
            transform: scale(1.05);
        }

/* ABOUT SECTION */

.about-section {
    min-height: 70vh;
    background-image: url('/images/bus_interior.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 50px;
    position: relative;
}

    .about-section::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.6);
    }

    .about-section h2,
    .about-section p {
        position: relative;
        z-index: 2;
        color: white;
    }


/* CONTACT SECTION */

.contact-section {
    min-height: 60vh;
    background-image: url('/images/service.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    text-align: center;
    position: relative;
}

    .contact-section::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.6);
    }

    .contact-section h2,
    .contact-section p {
        position: relative;
        z-index: 2;
    }

    .contact-section h2 {
        font-size: 40px;
        color: white;
        margin-bottom: 20px;
    }

    .contact-section p {
        font-size: 20px;
        color: white;
    }

/* FOOTER */

.footer {
    background: #111827;
    color: white;
    padding: 50px 80px 20px;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 40px;
}

.footer-section {
    flex: 1;
    min-width: 220px;
}

    .footer-section h3 {
        margin-bottom: 20px;
        color: #38bdf8;
    }

    .footer-section p {
        line-height: 28px;
        color: #d1d5db;
    }

    .footer-section a {
        display: block;
        color: #d1d5db;
        text-decoration: none;
        margin-bottom: 10px;
        transition: 0.3s;
    }

        .footer-section a:hover {
            color: #38bdf8;
        }

.footer hr {
    margin: 30px 0 20px;
    border: 0.5px solid #374151;
}

.copyright {
    text-align: center;
    color: #9ca3af;
}
